Better ListView Class Reference |

# BetterListViewState Enumeration

Type of a BetterListView state.

public enum BetterListViewState

#### Members

Member Name | Description
--- | ---
ColumnSelection | column header is being selected
ColumnBeforeResize | column header is in state before being resized
ColumnResize | column header is being resized
ColumnReorder | column headers are being reordered
GroupBeforeExpand | group is in state before being expanded/collapsed
GroupBeforeSelection | group is in state before being selected
Normal | normal (default) state
ItemBeforeCheckKeyboard | items are in state before their check state being changed using keyboard
ItemBeforeCheckMouse | items are in state before their check state being changed using mouse
ItemBeforeDrag | items are in state before being dragged
ItemBeforeExpand | item is in state before being expanded/collapsed
ItemBeforeLabelEdit | item is in state before label editing
ItemBeforeSelection | items are in state before being selected
ItemDrag | items are being dragged
ItemSelection | items are being selected
LabelEditInit | item/sub-item label is about to be edited
LabelEdit | item/sub-item label is being edited

#### Requirements

Namespace: ComponentOwl.BetterListView

Assembly: BetterListView (in BetterListView.dll)

#### See Also

ComponentOwl.BetterListView Namespace